<?
//Автор: DjBoBaH 
//Сайт: http://my-perm.net 
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
include $_SERVER['DOCUMENT_ROOT']."/anti_ hacker.php"; 
if(isset($_GET['s']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `soo` WHERE `id` = '".intval($_GET['s'])."' LIMIT 1"),0)==1)
{
$s=intval($_GET['s']);
$soo=mysql_fetch_assoc(mysql_query("SELECT * FROM `soo` WHERE `id` = '$s' LIMIT 1"));
include_once 'inc/ban.php';
if(isset($_GET['invite']) && isset($user) && mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_users` WHERE `id_soo` = '$soo[id]' AND `id_user`='$user[id]' AND `invit`='0' AND `activate`='0' LIMIT 1"),0)==1 || isset($_GET['invite']) && isset($user) && $user['id']==$soo['admid'])
{
$set['title']="".filter_var($soo['name'], FILTER_SANITIZE_SPECIAL_CHARS)." - Пригласить людей в соо"; // заголовок страницы
include_once '../sys/inc/thead.php';
echo '<div class="main_menu">';
title();echo "</div>\n";
echo '<div class="rekl_main">';
aut();
if(isset($_POST['uz']) && $_POST['uz']!=NULL && $_POST['uz']!=$user['id'] && $_POST['uz']!=$user['nick'])
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '".intval($_POST['uz'])."' OR `nick`='".my_esc($_POST['uz'])."' LIMIT 1"),0)==1)
{
$uz=mysql_fetch_array(mysql_query("SELECT `id` FROM `user` WHERE `nick`='".my_esc($_POST['uz'])."' OR `id` = '".intval($_POST['uz'])."'"));
$uzer=get_user($uz['id']);
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_users` WHERE `id_user` = '$uzer[id]' AND `id_soo`='$soo[id]' AND `activate`='1' LIMIT 1"),0)!=0){echo'<div class="err">Пользователь '.$uzer['nick'].' (ID: '.$uzer['id'].') уже подал заявку на вступление</div>';}
elseif(mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_users` WHERE `id_user` = '$uzer[id]' AND `id_soo`='$soo[id]' AND `invit`='1' LIMIT 1"),0)!=0){echo'<div class="err">Пользователю '.$uzer['nick'].' (ID: '.$uzer['id'].') уже высылалось приглашение</div>';}
elseif(mysql_result(mysql_query("SELECT COUNT(*) FROM `soo` WHERE `admid` = '$uzer[id]' AND `id_soo`='$soo[id]' LIMIT 1"),0)!=0){echo'<div class="err">Пользователь '.$uzer['nick'].' (ID: '.$uzer['id'].') уже состоит в сообществе</div>';}
elseif(mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_users` WHERE `id_user` = '$uzer[id]' AND `id_soo`='$soo[id]' AND `invit`='0' AND `activate`='0' LIMIT 1"),0)!=0){echo'<div class="err">Пользователь '.$uzer['nick'].' (ID: '.$uzer['id'].') уже состоит в сообществе</div>';}
elseif(mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_bl` WHERE `id_user` = '$uzer[id]' AND `id_soo`='$soo[id]' LIMIT 1"),0)!=0){echo'<div class="err">Пользователь '.$uzer['nick'].' (ID: '.$uzer['id'].') находится в черном списке группы и Вы не можете его пригласить</div>';}
else{mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$uzer[id]', 'Пользователь $user[nick] прилашает Вас вступить в сообщество [url=/soo/$soo[id]]$soo[name][/url]. [url=/soo/index.php?s=$soo[id]&yes]Вступить[/url]/[url=/soo/index.php?s=$soo[id]&no]Отказаться[/url]', '$time')");
mysql_query("INSERT INTO `soo_users` (`id_soo`, `id_user`, `invit`, `time`, `invit_us`) values ('$soo[id]', '$uzer[id]', '1', '$time', '$user[id]')");
msg('Приглашение успешно отправлено');}
}
else
{
echo'<div class="err">Пользователь с ID или ником '.my_esc($_POST['uz']).' не найден</div>';
}
}

echo'Введите ник или ID юзера<br/>';
echo'<form method="post" action="?s='.$soo['id'].'&invite">';
echo'<input type="text" name="uz"><br/>';
echo'<input type="submit" value="Пригласить"><br/>';
echo'<a href="index.php?s='.$soo['id'].'">В сообщество</a><br/>';
}
else
{
$set['title']="".filter_var($soo['name'], FILTER_SANITIZE_SPECIAL_CHARS)." - Участники"; // заголовок страницы
include_once '../sys/inc/thead.php';
echo '<div class="main_menu">';
title();echo "</div>\n";
echo '<div class="rekl_main">';
aut();
if($soo['konf_soo']==0 || isset($user) && mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_users` WHERE `id_soo` = '$soo[id]' AND `id_user`='$user[id]' AND `invit`='0' AND `activate`='0' LIMIT 1"),0)==1 || isset($user) && $user['id']==$soo['admid']  || isset($user) && $user['level']>0)
{
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_users` WHERE `id_soo`='$soo[id]' AND `activate`='0' AND `invit`='0' AND `mod`='0'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$adm=get_user($soo['admid']);
echo'<div class="foot">';
echo'<b>Админ:</b>';
echo' '.online($adm['id']).' <a href="info.php?s='.$soo['id'].'&id='.$adm['id'].'"><span style="color:'.$adm['ncolor'].'">'.$adm['nick'].'</span></a>';
echo'</div>';
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_users` WHERE `id_soo` = '$soo[id]' AND `mod`='1' LIMIT 1"),0)>0)
{
echo'<div class="foot">';
echo'<b>Модераторы:</b>';
$q2=mysql_query("SELECT * FROM `soo_users` WHERE `id_soo`='$soo[id]' AND `mod`='1' ORDER BY `time` DESC LIMIT 3");
while ($moders = mysql_fetch_assoc($q2))
{
$ank_m=get_user($moders['id_user']);
echo'<br/>';
echo' '.online($ank_m['id']).' <a href="info.php?s='.$soo['id'].'&id='.$ank_m['id'].'"><span style="color:'.$ank_m['ncolor'].'">'.$ank_m['nick'].'</span></a>';
}
echo'</div>';
}
echo '<table class="post">';
if ($k_post==0)
{
echo '<tr>';
echo '<td class="p_t">';
echo 'Больше никого нет(';
echo '</td>';
echo '</tr>';
}

$q=mysql_query("SELECT * FROM `soo_users` WHERE `id_soo`='$soo[id]' AND `activate`='0' AND `invit`='0' AND `mod`='0' ORDER BY `time` DESC LIMIT $start, $set[p_str]");
while ($ank = mysql_fetch_assoc($q))
{
$us=get_user($ank['id_user']);
echo '<tr>';
echo '<td class="icon14">';
echo '<img src="/style/themes/'.$set['set_them'].'/user/'.$us['pol'].'.png" alt="" />';
echo '</td>';
echo '<td class="p_t">';
echo '<a href="info.php?s='.$soo['id'].'&id='.$us['id'].'"><span style="color:'.$us['ncolor'].'">'.$us['nick'].'</span></a> '.online($us['id']).'';
echo '</td>';
echo '</tr>';
echo '<tr>';
echo '<td class="p_m" colspan="2">';
echo '<span class="ank_n">Дата вступления:</span> <span class="ank_d">'.vremja($ank['time']).'</span>';
echo '</td>';
echo '</tr>';
}
echo '</table>';
echo "</div>\n";
echo '<div class="menu_razd">';
if ($k_page>1)str("?s=$soo[id]&",$k_page,$page); // Вывод страниц
echo'<a href="index.php?s='.$soo['id'].'">В сообщество</a><br/>';
}
else
{
echo'Вам недоступен просмотр участников данного сообщества';
}
}
}
else
{
header("Location:index.php");
}
include_once '../sys/inc/tfoot.php';
?>